<?php

class BlockContacts extends Module
{
    private $_html = '';
    private $_postErrors = array();

    function __construct()
    {
        $this->name = 'BlockContacts';
        $this->tab = 'Blocks';
        $this->version = 0.1;

        parent::__construct();

        $this->displayName = 'Блок Контактов';
        $this->description = 'Отображает контакты со статусами в MailAgent, ICQ и Skype';
    }

    function install()
    {
        if (!parent::install() OR !$this->registerHook('rightColumn'))
		return false;
	return true;
    }

	public function getContent()
	{
		$output = '<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitBlockContacts'))
		{
				Configuration::updateValue('CONTACTS_ICQ', Tools::getValue('ICQ'));
				Configuration::updateValue('CONTACTS_SKYPE', Tools::getValue('Skype'));
				Configuration::updateValue('CONTACTS_MAGENT', Tools::getValue('MailAgent'));
				$output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('Confirmation').'" />Настройки обновлены</div>';
		}
		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		$output = '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Settings').'</legend>
				<label>ICQ</label>
				<div class="margin-form">
					<input type="text" name="ICQ" value="'.Configuration::get('CONTACTS_ICQ').'" />
				</div>
				<label>Skype</label>
				<div class="margin-form">
					<input type="text" name="Skype" value="'.Configuration::get('CONTACTS_SKYPE').'" />
				</div>
				<label>MailAgent</label>
				<div class="margin-form">
					<input type="text" name="MailAgent" value="'.Configuration::get('CONTACTS_MAGENT').'" />
				</div>
				<center><input type="submit" name="submitBlockContacts" value="Сохранить" class="button" /></center>
			</fieldset>
		</form>';
		return $output;
	}

	function hookRightColumn($params)
	{
		global $smarty;
		
		$smarty->assign(array('icq' => Configuration::get('CONTACTS_ICQ'), 'skype' => Configuration::get('CONTACTS_SKYPE'),  'magent' =>Configuration::get('CONTACTS_MAGENT')));

		return $this->display(__FILE__, 'BlockContacts.tpl');
	}
	
	function hookLeftColumn($params)
	{
		return $this->hookRightColumn($params);
	}
}

?>